<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity3">
    <head>
        <title>Index</title>
        <script type="text/javascript" src="../office/jquery.min.js"></script>
     	<script type="text/javascript" src="../office/pageoffice.js" id="po_js_main"></script>
		<script type="text/javascript">
			// 获取访问文件URL
			$(function(){
				 var urlTemp = location.href;
				 var urlStr = urlTemp.substr(0,urlTemp.indexOf("/office"));
				 $.ajax({
		             type: "GET",
		             url: urlStr + "/office/getUrl",
		             data: {urlSTR:urlStr},
		             dataType: "json",
		             success: function(result){
		            	 		// localStorage.removeItem("pageOfficeFileId");
		            	 		var urlT = result.data;
		            	 		$('#clickBut').attr('href',urlT);
		        				document.getElementById("clickBut").click();
		                      }
		         });
			});
			
			// 保存文件ID 供弹出框调用 （实际为关闭页面操作  ）
			function setLocalFileId(fileIdTemp){
				 var urlTemp = location.href;
				 var urlStr = urlTemp.substr(0,urlTemp.indexOf("/office"));
                 $.ajax({
                     type: "GET",
                     url: urlStr + "/office/setTempFileId?FileId="+fileIdTemp,
                     data: {},
                     dataType: "json",
                     success: function(result){
						window.close();
                     }
                 });
			}
			
			// 回退方法     供弹出框调用
			function refresh(){
				window.close();
	       	}
	       	
  		</script>
		
    </head>
    <body>
        <a id="clickBut" href=""></a>
    </body>
</html>
